Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.SOAPAuthenticateInfo Class Reference

## Public Member Functions
| SOAPAuthenticateInfo ()
| Constructor.
| SOAPAuthenticateInfo (SOAPAuthenticateInfo soap_authenticate)
| Constructor, with another SOAP authenticate object. More...
| SOAPAuthenticateInfo (String username, String password, boolean is_use_platform_auth)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_use_platform_auth ()
| Get a Boolean value indicating that platform authentication should be used. More...
String | getPassword ()
| Get a string containing the password to use for authentication. More...
String | getUsername ()
| Get a string containing the user name to use for authentication. More...
void | set (String username, String password, boolean is_use_platform_auth)
| Set values. More...
void | setIs_use_platform_auth (boolean value)
| Set a Boolean value indicating that platform authentication should be used. More...
void | setPassword (String value)
| Set a string containing the password to use for authentication. More...
void | setUsername (String value)
| Set a string containing the user name to use for authentication. More...

## Detailed Description

This class represents SOAP authenticate.

## Constructor & Destructor Documentation

## ◆ SOAPAuthenticateInfo() [1/2]

com.foxit.sdk.SOAPAuthenticateInfo.SOAPAuthenticateInfo | ( | String | username,
|  | String | password,
|  | boolean | is_use_platform_auth
| ) |  |

Constructor, with parameters.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

## ◆ SOAPAuthenticateInfo() [2/2]

com.foxit.sdk.SOAPAuthenticateInfo.SOAPAuthenticateInfo | ( | SOAPAuthenticateInfo | soap_authenticate | ) |

Constructor, with another SOAP authenticate object.

Parameters

  [in] | soap_authenticate | Another SOAP authenticate object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.SOAPAuthenticateInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_use_platform_auth()

com.foxit.sdk.SOAPAuthenticateInfo.getIs_use_platform_auth | ( |  | ) |

Get a Boolean value indicating that platform authentication should be used.

If true, username and password are ignored and the underlying platform networking code is used.This may cause an authentication UI to be shown to the user and/or the credentials of the currently logged in user to be used. The default is false and is only supported on the Windows platform.

Returns
  A Boolean value indicating that platform authentication should be used.

## ◆ getPassword()

com.foxit.sdk.SOAPAuthenticateInfo.getPassword | ( |  | ) |

Get a string containing the password to use for authentication.

Returns
  A string containing the password to use for authentication.

## ◆ getUsername()

com.foxit.sdk.SOAPAuthenticateInfo.getUsername | ( |  | ) |

Get a string containing the user name to use for authentication.

Returns
  A string containing the user name to use for authentication.

## ◆ set()

void com.foxit.sdk.SOAPAuthenticateInfo.set | ( | String | username,
|  | String | password,
|  | boolean | is_use_platform_auth
| ) |  |

Set values.

Parameters

  [in] | username | A string containing the user name to use for authentication.
  [in] | password | A string containing the password to use for authentication.
  [in] | is_use_platform_auth | A Boolean value indicating that platform authentication should be used.

Returns
  None.

## ◆ setIs_use_platform_auth()

com.foxit.sdk.SOAPAuthenticateInfo.setIs_use_platform_auth | ( | boolean | value | ) |

Set a Boolean value indicating that platform authentication should be used.

If true, username and password are ignored and the underlying platform networking code is used.This may cause an authentication UI to be shown to the user and/or the credentials of the currently logged in user to be used. The default is false and is only supported on the Windows platform.

Parameters

  [in] | value | A Boolean value indicating that platform authentication should be used.

Returns
  None.

## ◆ setPassword()

com.foxit.sdk.SOAPAuthenticateInfo.setPassword | ( | String | value | ) |

Set a string containing the password to use for authentication.

Parameters

  [in] | value | A string containing the password to use for authentication.

Returns
  None.

## ◆ setUsername()

com.foxit.sdk.SOAPAuthenticateInfo.setUsername | ( | String | value | ) |

Set a string containing the user name to use for authentication.

Parameters

  [in] | value | A string containing the user name to use for authentication.

Returns
  None.